﻿local addon_name = "hagakure_cooldowns"
local L = LibStub:GetLibrary("AceLocale-3.0"):NewLocale(addon_name, "ruRU")
if not L then return false end

L["Hagakure cooldowns"] = "Hagakure cooldowns"

L["lock frames"] = "Заблокировать"
L["desc lock frames"] = "заблокировать якоря фреймов для перетаскивания"
L["unlock frames"]="Разблокировать"
L["desc unlock frames"]="разблокировать якоря фреймов для перетаскивания"
L["run config"]="Настройки"
L["desc run config"]="запустить настройки аддона"
L["spells"]="Заклинания"
L["desc spells"]="Список спеллов по категориям, которые отслеживаются системой"
L["redraw"]="Перерисовать"
L["desc redraw"]="Перерисовать с использованием новой таблицы спеллов"
L["show/hide all"]="Скрыть/отобразить"
L["desc show/hide all"]="Скрыть (отобразить) все фреймы с отслеживаемыми кулдаунами"

L["|cffff0000Hagakure cooldowns, greet %s! run /hcd"] = "|cffff0000Аддон Hagakure cooldowns успешно загружен, %s!|r Запусти |cff00ffff/hcd|r для конфигурации аддона."

L["Spell name %s class %s specs %s"]="Спелл |cff00ffff%s|r |cff00ff00%s|r |cffff0000%s|r"
 
 do -- types of spells
	L["type1"]="-дамаг +хилл"
	L["desc type1"]="Заклинания, кастуемые на весь рейд, увеличивающие +хил по целям, либо понижающие входящий дамаг"

	L["type2"]="аое хил"
	L["desc type2"]="Заклинания массового исцеления"

	L["type3"]="на манну"
	L["desc type3"]="Заклинания увеличивающие манну рейда/рейдеру"

	L["type4"]="личные кд"
	L["desc type4"]="Заклинания, понижающие входящий в игрока дамаг"

	L["type5"]="точечные кд"
	L["desc type5"]="Заклинания, которые могут кидаться на другого игрока."

	L["type6"]="кд на +дамаг"
	L["desc type6"]="Заклинания, увеличивающие дпс рейда"

	L["type7"]="возрождения"
	L["desc type7"]="Заклинания, возрождающие мертвых союзников"

	L["type8"]="прочее"
	L["desc type8"]="Заклинания, которые не попали в другие категории"
end

do -- headers
	L["header1"] = "Настройка фрейма с кулдаунами на -дамаг + хил"
	L["header2"] = "Настройка фрейма с кулдаунами на аое хил"
	L["header3"] = "Настройка фрейма с кулдаунами на манну"
	L["header4"] = "Настройка фрейма с личными кулдаунами"
	L["header5"] = "Настройка фрейма с точечными кулдаунами"
	L["header6"] = "Настройка фрейма с кулдаунами на +дамаг"
	L["header7"] = "Настройка фрейма с кулдаунами на возрождения"
	L["header8"] = "Настройка фрейма с прочими кулдаунами"
end

do -- width of type frames
	L["type width1"]="Ширина"
	L["desc type width1"]="Ширина фрейма с кулдаунами на -дамаг +хил"

	L["type width2"]="Ширина"
	L["desc type width2"]="Ширина фрейма с кулдаунами на аое хил"

	L["type width3"]="Ширина"
	L["desc type width3"]="Ширина фрейма с кулдаунами на манну"

	L["type width4"]="Ширина"
	L["desc type width4"]="Ширина фрейма с личными кулдаунами"

	L["type width5"]="Ширина"
	L["desc type width5"]="Ширина фрейма с точечными кулдаунами"

	L["type width6"]="Ширина"
	L["desc type width6"]="Ширина фрейма с кулдаунами на +дамаг"

	L["type width7"]="Ширина"
	L["desc type width7"]="Ширина фрейма с кулдаунами на возрождения"

	L["type width8"]="Ширина"
	L["desc type width8"]="Ширина фрейма с прочими кулдаунами"
end

do -- sort method of type frames
	L["sort method1"] = "Направление роста"
	L["desc sort method1"] = "Направление роста фрейма с кулдаунами на -дамаг +хил"
	
	L["sort method2"] = "Направление роста"
	L["desc sort method2"] = "Направление роста фрейма с кулдаунами на аое хил"
	
	L["sort method3"] = "Направление роста"
	L["desc sort method3"] = "Направление роста фрейма с кулдаунами на манну"
	
	L["sort method4"] = "Направление роста"
	L["desc sort method4"] = "Направление роста фрейма с личными кулдаунами"
	
	L["sort method5"] = "Направление роста"
	L["desc sort method5"] = "Направление роста фрейма с точечными кулдаунами"
	
	L["sort method6"] = "Направление роста"
	L["desc sort method6"] = "Направление роста фрейма с кулдаунами на +дамаг"
	
	L["sort method7"] = "Направление роста"
	L["desc sort method7"] = "Направление роста фрейма с кулдаунами на возрождения"
	
	L["sort method8"] = "Направление роста"
	L["desc sort method8"] = "Направление роста фрейма с прочими кулдаунами"
end

do -- enable section
	L["enable1"] = "Отображать"
	L["desc enable1"] = "Отображать фрейм с кулдаунами на -дамаг +хил"
	
	L["enable2"] = "Отображать"
	L["desc enable2"] = "Отображать фрейм с кулдаунами на аое хил"
	
	L["enable3"] = "Отображать"
	L["desc enable3"] = "Отображать фрейм с кулдаунами на манну"
	
	L["enable4"] = "Отображать"
	L["desc enable4"] = "Отображать фрейм с личными кулдаунами"
	
	L["enable5"] = "Отображать"
	L["desc enable5"] = "Отображать фрейм с точечными кулдаунами"
	
	L["enable6"] = "Отображать"
	L["desc enable6"] = "Отображать фрейм с кулдаунами на +дамаг"
	
	L["enable7"] = "Отображать"
	L["desc enable7"] = "Отображать фрейм с кулдаунами на возрождения"
	
	L["enable8"] = "Отображать"
	L["desc enable8"] = "Отображать фрейм с прочими кулдаунами"
end

do -- description of fort methods
	L["from top to bottom"] = "Сверху вниз"
	L["from left to right"] = "Слева направо"
	L["from right to left"] = "Справо налево"
	L["from bottom to top"] = "Снизу вверх"
end

do -- spec list
	L["PALADIN"]="паладин"
	L["PALADIN0"]="все спеки"
	L["PALADIN1"]="холи спек"
	L["PALADIN2"]="прот спек"
	L["PALADIN1, 3"]="холи и прот спеки"

	L["WARRIOR"]="воин"
	L["WARRIOR0"]="все спеки"
	L["WARRIOR3"]="прот спек"
	L["WARRIOR1, 2"]="армс, фури спек"

	L["PRIEST"]="жрец"
	L["PRIEST0"]="все спеки"
	L["PRIEST1"]="диск спек"
	L["PRIEST1, 3"]="диск и шп спек"
	L["PRIEST2"]="холи спек"
	L["PRIEST3"]="шп спек"

	L["SHAMAN"]="шаман"
	L["SHAMAN0"]="все спеки"
	L["SHAMAN1"]="элем спек"
	L["SHAMAN3"]="рестор спек"

	L["DEATHKNIGHT"]="рыцарь смерти"
	L["DEATHKNIGHT0"]="все спеки"
	L["DEATHKNIGHT1"]="блад спек"
	L["DEATHKNIGHT3"]="анхоли спек"

	L["DRUID"]="друид"
	L["DRUID0"]="все спеки"
	L["DRUID1"]="баланс спек"
	L["DRUID2"]="ферал спек"
	L["DRUID3"]="рестор спек"
	L["DRUID1, 3"]="баланс и рестор спеки"

	L["HUNTER"]="охотник"
	L["HUNTER0"]="все спеки"

	L["ROGUE"]="разбойник"
	L["ROGUE0"]="все спеки"

	L["MAGE"]="маг"
	L["MAGE0"]="все спеки"
	L["MAGE2"]="огненый спек"

	L["WARLOCK"]="чернокнижник"
	L["WARLOCK0"]="все спеки"
end

do -- font+color config
	L["color setup"] = "Настройки цветов"
	L["font name"] = "Шрифт"
	L["desc font name"] = "Шрифт, который используется при прорисовки фреймов"
	L["font size"] = "Размер"
	L["desc font size"] = "Размер шрифта, который используется при прорисовке фреймов"
	L["exl spell color"] = "Отличные"
	L["desc exl spell color"] = "Цвет, которым будут подкрашиваться отличные кулдауны"
	L["good spell color"] = "Хорошие"
	L["desc good spell color"] = "Цвет, которым будут подкрашиваться хорошие кулдауны"
	L["bad spell color"] = "Плохие"
	L["desc bad spell color"] = "Цвет, которым будут подкрашиваться плохие кулдауны"
	L["off spell color"] = "Оффлайн"
	L["desc off spell color"] = "Цвет, которым будут подкрашиваться кулдауны игроков, ушедших в оффлайн" 
	L["dead spell color"] = "Мертвый"
	L["desc dead spell color"] = "Цвет, которым будут подкрашиваться кулданы умерших игроков"
	L["cd spell color"] = "На кулдауне"
	L["desc cd spell color"] = "Цвет, которым будут отображаться запущенный таймер восстановления спеллов"
end

do -- active spells frame
	L["active spells"] = "Настройки контейнера для заклинаний, имеющих время каста."
	L["active spell frame"] = "Активные спеллы"
	L["actspell width"] = "размер"
	L["desc actspell width"] = "Ширина/высота иконки активного заклинания"
	L["actspell sort method"] = "Направление роста"
	L["actspell desc sort method"] = "Направление роста при добавлении нового заклинания в фрейм"
	L["actspell enable"] = "включить"
	L["actspell desc enable"] = "Включить/выключить дополнительное отображение заклинаний, кастующихся в данный момент."
end

do -- 02.02
	L["test mod"] = "Режим проверки"
	L["desc test mod"] = "Включить/выключить режим проверки настроек"
	L["expert"] = "Эксперт"
	L["desc expert"] = "Настроить дополнительные настройки к аддону"
	L["track groups"]="Группы"
	L["desc track groups"]="Отслеживает кулдауны игроков только этих первых группы"
	
	L["fast timer"]="Быстрый тик"
	L["desc fast timer"]="Время между тиками таймера обновления спеллов при окончании кулдауна (невозможно установить меньше 1/11 - по умолчанию AceTimer)"
	L["slow timer"]="Медленный тик"
	L["desc slow timer"]="Время между тиками таймера в обычном режиме"
	L["min time"]="Порог кулдауна"
	L["desc min time"]="Порог до окончания кулдауна, на котором происходит ускорение таймера"
	
	L["announce CDs"]="Оповещение окончания кулдаунов"
	
	L["ann rw"] = "Оповещение рейда"
	L["desc ann rw"] = "После окончания кулдауна оповестить его окончание через канал оповещения рейда."
	L["ann raid"] = "Канал рейда"
	L["desc ann raid"] = "После окончания кулдауна оповестить его окончание через канал рейда."
	L["ann say"] = "Сказать"
	L["desc ann say"] = "После окончания кулдауна оповестить его окончание через /say."
	L["ann yell"] = "Крикнуть"
	L["desc ann yell"] = "После окончания кулдауна оповестить его окончание через /yell."
	L["ann self"] = "Сообщение в чат"
	L["desc ann self"] = "После окончания кулдауна оповестить его окончание в личный чат."
	L["ann only rl"] = "Только статус помощник"
	L["desc ann only rl"] = "Оповещать в публичные каналы (/rw /raid /yell /say) только со статусом помощника."
	L["ann party"] = "Группа"
	L["desc ann party"] = "После окончания кулдауна оповестить его окончание через канал группы."
	
	L["Spell %s of %s is ready!"] = "Спелл %s %s готов!"
end

do -- 05.02
	L["icon size"] = "Иконка"
	L["desc icon size"] = "Размер иконки заклинаний в обычных контейнерах"
	
	L["addon announce"] = "Оповещение через рейд аддоны"
	L["ann DBM"] = "DBM"
	L["desc ann DBM"] = "Оповещать об окончании кулдаунов через аддон DBM"
	L["ann DXE"] = "DXE"
	L["desc ann DXE"] = "Оповещать об окончании кулдаунов через аддон DXE"
	L["ann BigWigs"] = "BigWigs"
	L["desc ann BigWigs"] = "Оповещать об окончании кулдаунов через аддон BigWigs"
end

do -- 07.02
	L["Manual spell settings"] = "Ручные настройки кулдаунов"
	L["Personal spells"] = "Ручная настройка"
	L["desc presonal spells"] = "Создание/изменение существующих заклинаний"
	L["Add spell"] = "Добавить"
	
	L["Enter player name"] = "Введите имя игрока\nдля которого настраивается спелл"
	L["Enter CD of spell in sec"] = "Введите кулдаун заклинания\nв секундах"
	L["Enter id of spell"] = "Введите ID заклинания\n(его можно найти через wowhead.com \nи другие анологичные сайты)"
	L["Add new spell options for current player."] = "Добавить новые настройки кулдауна для определенного игрока."
	L["Enter casting time of spell"] = "Введите время действия спелла\nесли заклинание вешает положительный эффект\nкоторый длится некоторое время,\nто это время можно указать здесь."
	L["Enter trigger event from combat log"] = "Введите событие из комбат лога\nкоторое запускает кулдаун заклинания"
	L["Enter quality of spell"] = "Введите качество заклинания\nданный параметр при сортировке\nбудет ставить это заклинание выше других."
	
	L["Configuration for %s spell"] = "Настройка спелла %s"
	L["Delete"] = "Удалить"
	L["Deleted"] = "Удалено"
	L["You realy want to delete spell %s?"] = "Подтвердить удаление заклинания %s."
	
	L["Spell %s(id=%d, type=%s, quality=%d, specs=%s) for player %s has CD %d sec cast time %.1f and trigger from %s."] = 
		"Заклинание %s (id=%s, тип=\"%s\", качество=%d, специализации=\"%s\") для игрока |cffff0000%s|r имеет время восстановления |cffff0000%d|r секунд (время действия %.1f сек) и запускается от ивента %s."
	
	L["Track spell"] = "Отслеживать"
	L["ac names enable"] = "Показывать имена"
	L["desc ac names enable"] = "Показывать имена при прорисовке активных заклинаний"
	
	L["Spec list by class"] = "Спеки, для которых остлеживается данное заклинание\n" ..
		"|cff00ff00Воин|r 1 - оружие 2 - неистоство 3 - защита\n|cff00ff00Друид|r 1 - баланс 2 - сила зверя 3 - исцеление\n|cff00ff00Жрец|r 1 - послушание 2 - свет 3 - темная магия\n" ..
		"|cff00ff00Маг|r 1 - тайная магия 2 - огонь 3 - лёд\n|cff00ff00Охотник|r 1 - повелитель зверей 2 - стрельба 3 - выживание\n|cff00ff00Паладин|r 1 - свет 2 - защита 3 - воздаяние\n|cff00ff00Разбойник|r 1 - ликвидация 2 - бой 3 - скрытность\n" ..
		"|cff00ff00Рыцарь смерти|r 1 - кровь 2 - лед 3 - нечистивость\n|cff00ff00Чернокнижник|r 1 - колдоство 2 - демонология 3 - разрушение\n|cff00ff00Шаман|r 1 - стихии 2 - совершенствование 3 - исцеление\n|cffff00000 - для всех спеков|r"
		
	L["Cooldown successfully added!"] = "Заклинание успешно добавлено!"
	L["You should enter spell id, player name and cooldown of spell."] = "|cffff0000Необходимо указать ID заклинания, имя игрока и кулдаун заклинания!|r"
	L["Cooldown successfulle deleted!"] = "Заклинание успешно удалено!"
	L["Don't forget to redraw layout to aply settings."] = "Не забудьте перерисовать контейнеры, чтобы изменения вступили в силу."
end






